# TermStart (private alpha)
---
### Make the startpage more than just the first page you load up.

The most extensible Terminal startpage you will ever find.

![vue-glass](./screenshots/vue-glass.png)
![vue-neu](./screenshots/vue-neu.png)
![vue-flamingo](./screenshots/vue-flamingo.png)

This project exists to prove a point that the startpage is more than just a place for bookmarks.

Make commands to do anything you want, interact with the filesystem or whatever you want.

## Customisable to the core.

TermStart is made using the most bleeding edge technologies out there, with Vue.js, Typescript and Sass.

TermStart's default set of components and commands will give you a head start to a clean, minimalist terminal.

There's always room for add-ons, so you can configure, script, make termstart anyway you want to.

TermStart comes with 3 default themes: 
Flamingo, Glass and Vue-neu.

Styling is simple enough, you can poke around, or you can fully modify any element you want to.

## Development Roadmap.

TermStart is starting off small but has high hopes.

- [X] Get a working build up
- [ ] Exit private alpha 
- [X] Fix fonts
- [X] Release extension publicly
- [ ] Add more themes
- [ ] Add more commands

### Developer Experience
- [X] Create a basic command template/structure.
- [X] Create a few themes and a kind of toolkit for themes
- [ ] Create a framework for making themes.

### User Experience
- [X] Add a few custom themes
- [X] Add a few built in QOL commands
- [ ] Implement easier toggling of themes from within the extension
- [ ] Remove dependence on Vue for scripts
- [ ] Add ability to 


It's maybe starting off as a hobby project, but I have high hopes that this thing will be more than just a cool start-page. It will be a place for interaction and infinite productivity. To get things done faster whilst being simpler. 

We're going to set the bar high for what a fully featured startpage can be.

## The idea behind TermStart

### Another Terminal? Great.

While I feel the idea of a Terminal Start-page has been exploited to hell and beyond, I think there's room for improvement. 

Most of the startpages based on a Terminal may look good and enticing, but I find they barely offer much functionality.

### Commands are hard and complex to learn.

Agreed. But if you're a hardcore terminal user you might find it natural to get used to. We want to create an experience which you can get used to without feeling alien.

A GUI might be better option, but I think a Terminal is a good starting point.

### Why not make a GUI?

GUI's offer very little room for creativity that raw commands can.

However, TermStart is a good (*Term*)starting point for it to evolve eventually to an interactive GUI.



